/*
 * Class MEMORY_STREAM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_669 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_669 [] = {0xFF01,1551,668,0xFFFF};
static const EIF_TYPE_INDEX egt_2_669 [] = {0xFF01,668,0xFFFF};
static const EIF_TYPE_INDEX egt_3_669 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_669 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_669 [] = {0xFF01,668,0xFFFF};
static const EIF_TYPE_INDEX egt_6_669 [] = {0xFF01,668,0xFFFF};
static const EIF_TYPE_INDEX egt_7_669 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_669 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_669 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_669 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_669 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_669 [] = {0xFF01,668,0xFFFF};
static const EIF_TYPE_INDEX egt_13_669 [] = {0xFF01,669,0xFFFF};


static const struct desc_info desc_669[] = {
	{EIF_GENERIC(NULL), 16231, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_669), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_669), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_669), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_669), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_669), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_669), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_669), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_669), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_669), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_669), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_669), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_669), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0539 /*668*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_669), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16232, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 16236, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 16237, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 16238, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16240, 4},
	{EIF_GENERIC(NULL), 16241, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16243, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_669), 16249, 0},
};
void Init669(void)
{
	IDSC(desc_669, 0, 668);
	IDSC(desc_669 + 1, 1, 668);
	IDSC(desc_669 + 32, 791, 668);
	IDSC(desc_669 + 34, 739, 668);
}


#ifdef __cplusplus
}
#endif
